Skip to content

Bulk partial update users (async)

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
callbackUrlstring
callbackUrlHeadersobject

Optional HTTP headers to send with the callback request

recordsArray of objects
syncProcessingboolean

When true, process records synchronously in-request and return per-record results immediately

curl -i -X PATCH \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/user/bulk \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "callbackUrl": "string",
    "callbackUrlHeaders": {
      "property1": "string",
      "property2": "string"
    },
    "records": [
      {}
    ],
    "syncProcessing": true
  }'

Responses

Success

Bodyapplication/json
string(AssigneeType)
Response
"string"